Subject: bug#45321: file -b reports PHP file as C++ file

From: Jeffrey Walton <[email-masked]>
Date: Sat, 19 Dec 2020 12:55:37 -0500

On Sat, Dec 19, 2020 at 9:22 AM Pádraig Brady <[email-masked]> wrote:
>
> On 19/12/2020 12:10, Jeffrey Walton wrote:
> > On Sat, Dec 19, 2020 at 3:37 AM Jeffrey Walton <[email-masked]> wrote:
> >>
> >> I'm not sure if this is expected. I'm working on CentOS 7, x86_64,
> >> fully patched.
> >>
> >> I expected to see the PHP file below classified as a PHP script, like:
> >>
> >>      # file -b rest.php
> >>      PHP script, ASCII text
>
> file is not one of the GNU coreutils.
> `man file` on my linux system lists a bug tracker for file.

My bad, thanks.

I thought it was part of Fileutils. Fileutils says to report here
(https://www.gnu.org/software/fileutils/).

Jeff